Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api
Enum WorklistSystem.OPERATION

    java.lang.Object
      java.lang.Enum<WorklistSystem.OPERATION>
          com.bea.wli.worklist.api.WorklistSystem.OPERATION

All Implemented Interfaces:
  Serializable, Comparable<WorklistSystem.OPERATION>

Enclosing interface:
  WorklistSystem

    public static enum WorklistSystem.OPERATION

extends Enum<WorklistSystem.OPERATION>

Operations for which a Worklist system policy may be set

Enum Constant Summary
`Admin`
`Create`
`Query`
`Update`

Method Summary
`static WorklistSystem.OPERATION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WorklistSystem.OPERATION[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Admin

    public static final WorklistSystem.OPERATION Admin

### Create

    public static final WorklistSystem.OPERATION Create

### Query

    public static final WorklistSystem.OPERATION Query

### Update

    public static final WorklistSystem.OPERATION Update

Method Detail

### values

    public static final WorklistSystem.OPERATION[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WorklistSystem.OPERATION c : WorklistSystem.OPERATION.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WorklistSystem.OPERATION valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD